ClassLoaderFactory.RepositoryType (Apache Tomcat 10.1.14 API Documentation)

Package org.apache.catalina.startup

## Enum ClassLoaderFactory.RepositoryType

- java.lang.Object
- - java.lang.Enum<ClassLoaderFactory.RepositoryType>
  - - org.apache.catalina.startup.ClassLoaderFactory.RepositoryType

- All Implemented Interfaces:
    `Serializable`, `Comparable<ClassLoaderFactory.RepositoryType>`
  Enclosing class:
    ClassLoaderFactory

      public static enum ClassLoaderFactory.RepositoryType
      extends Enum<ClassLoaderFactory.RepositoryType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DIR` |
    `GLOB` |
    `JAR` |
    `URL` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ClassLoaderFactory.RepositoryType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ClassLoaderFactory.RepositoryType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DIR

          public static final ClassLoaderFactory.RepositoryType DIR

    - #### GLOB

          public static final ClassLoaderFactory.RepositoryType GLOB

    - #### JAR

          public static final ClassLoaderFactory.RepositoryType JAR

    - #### URL

          public static final ClassLoaderFactory.RepositoryType URL

  - ### Method Detail

    - #### values

          public static ClassLoaderFactory.RepositoryType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ClassLoaderFactory.RepositoryType c : ClassLoaderFactory.RepositoryType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ClassLoaderFactory.RepositoryType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null